class sshguard::defaults {
  $autoupgrade = false

  # The package chosen may depend on which firewall is in use.
  $package_name = $::osfamily ? {
    'FreeBSD' => 'sshguard-ipfw',
    default   => 'sshguard',
  }

  $service_name = 'sshguard'
  $watch_logs = $::osfamily ? {
    'FreeBSD' => ['/var/log/auth.log', '/var/log/maillog'],
    default   => ['/var/log/auth.log'],
  }
  $safety_thresh = 40         # -a
  $pardon_min_interval = 1200 # -p
  $prescribe_interval = 420   # misspelled; -s
  $whitelist_dir = $::osfamily ? {
    'Debian'  => '/etc/sshguard',
    'FreeBSD' => undef,
    default   => fail("Unknown OS type ${::ostype} for sshguard::defaults::whitelist_dir"),
  }
  $whitelist_file = $::osfamily ? {
    'Debian'  => '/etc/sshguard/whitelist',
    'FreeBSD' => '/usr/local/etc/sshguard.whitelist',
    default   => fail("Unknown OS type ${::ostype} for sshguard::defaults::whitelist_file"),
  }
}
